.banner-linha {
  position: relative;
  padding-left: 0;
  padding-right: 0;

  @include media("sm") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .swiper {
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .swiper:not(.swiper-initialized) .swiper-wrapper {
    display: flex;

    .swiper-slide {
      width: calc(100% / 1.2);
      margin-right: 0.8rem;

      @include media("sm") {
        width: calc(50% - 1.2rem);
        margin-right: 2.4rem;
      }

      @include media("md") {
        width: calc((100% / 3) - 1.6rem);
        margin-right: 2.4rem;
      }
    }
  }

  > .swiper .category-item {
    position: relative;
    display: block;
    width: 100%;
  }

  > .swiper .image.-custom::after {
    padding-bottom: 125%;
  }

  > .swiper img {
    transition: var(--transition);
  }

  > .swiper .category-item:hover .image img {
    @include media("md") {
      filter: brightness(0.8);
      transform: scale(1.1);
    }
  }

  > .swiper .text {
    padding: 1.6rem 3rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: var(--white);
    background-color: rgba(0, 0, 0, 0.3);
  }

  > .swiper .text > *:not(:last-child) {
    margin-bottom: 1.6rem;
  }

  > .swiper .upper-title:not(:last-child) {
    margin-bottom: 0.8rem;
  }

  > .swiper .title {
    color: inherit;
  }

  > .swiper .description {
    font-size: var(--font-size-base);
    margin-bottom: 0;
  }

  > .swiper .button-default {
    width: fit-content;
  }

  > .swiper .category-item:not(.-imageless) .button-default:not(:hover) {
    color: var(--white);
    border-color: var(--white);
  }

  > .swiper .category-item.-imageless::before {
    content: "";
    position: relative;
    display: block;
    width: 100%;
    padding-bottom: 125%;
  }

  > .swiper .category-item.-imageless .text {
    color: var(--font-color-base);
    background-color: var(--gray-1);
  }

  > .swiper-pagination {
    position: static !important;
    width: 90% !important;
    margin: 3.2rem auto 0;

    @include media("sm") {
      width: 100% !important;
    }
  }
}
